=== debian/changelog ===
ros-bouncy-rttest (0.5.0-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 27 Jun 2018 23:33:37 -0000
